import QtQuick 2.0
import Ubuntu.Components 1.1
import Ubuntu.Components.ListItems 1.0 as ListItem

Page {
    title: "About"
    flickable: null

    Flickable {
        anchors.fill: parent

        contentWidth: width
        contentHeight: content.height

        clip: true

        Item {
            id: content
            width: parent.width
            height: childrenRect.height

            UbuntuShape {
                id: appIcon
                anchors {
                    horizontalCenter: parent.horizontalCenter
                    top: parent.top
                    topMargin: units.gu(1)
                }

                radius: "medium"
                width: units.gu(10)
                height: width

                image: Image {
                    source: "../images/downow-icon.svg"
                }
            }

            Label {
                id: downowLabel
                anchors {
                    top: appIcon.bottom
                    horizontalCenter: parent.horizontalCenter
                    topMargin: units.gu(1)
                }

                text: "DowNow"
            }

            Column {
                anchors {
                    top: downowLabel.bottom
                    left: parent.left
                    right: parent.right
                    topMargin: units.gu(1)
                }

                ListItem.ThinDivider {}

                ListItem.Header {
                    text: "Developed by"
                }

                Item {
                    width: parent.width
                    height: units.gu(1)
                }

                Column {
                    anchors {
                        left: parent.left
                        right: parent.right
                    }

                    spacing: units.gu(1)

                    AboutDeveloperByPerson {
                        name: "Tal Zion"
                        email: "talzion12@gmail.com"
                        imageUrl: "https://scontent-a-cdg.xx.fbcdn.net/hphotos-prn2/t31.0-8/1498081_10202987003458794_334050315_o.jpg?dl=1"
                    }
                    AboutDeveloperByPerson {
                        name: "Noga Dikerman"
                        email: "nogadi@me.com"
                        imageUrl: "https://fbcdn-sphotos-c-a.akamaihd.net/hphotos-ak-xaf1/v/t1.0-9/1000557_3148908978850_1146819091_n.jpg?oh=378682d9009ba10f2c8898355318539e&oe=5479F4AC&__gda__=1415499133_b2bb2048455b096d8c20cf4809ae8dfc&dl=1"
                    }
                }

                Item {
                    width: parent.width
                    height: units.gu(1)
                }

                ListItem.ThinDivider {}

                ListItem.Header {
                    text: "Open source licenses"
                }
                CaptionListItem {
                    text: "DowNow uses the excellent libtorrent by rasterbar which can be found <a href=\"http://www.rasterbar.com/products/libtorrent/\">here</a>."
                }

                ListItem.Header {
                    text: "Contributions"
                }
                CaptionListItem {
                    text: "DowNow is open source software and is provided under the GNU GPL v3 license.<br />Code contributions and bug reports are very welcome and can be managed on DowNow's <a href=\"https://launchpad.net/downow\">Launchpad page</a>."
                }
            }
        }
    }
}
