import QtQuick 2.0
import Ubuntu.Components 1.1
import Ubuntu.Components.ListItems 1.0 as ListItem
import com.nogzatalz.Downow 1.0
import "Format.js" as Format

Page {
    id: root
    title: "Add torrent"

    signal torrentLinkSelected(string magnetLink)
    signal torrentFileSelected(url torrentFilePath)
    signal selectedTorrent

    onTorrentFileSelected: selectedTorrent()
    onTorrentLinkSelected: selectedTorrent()

    head {
        contents: TextField {
            id: searchField
            width: parent ? parent.width - units.gu(1) : implicitWidth
            placeholderText: "Search"
        }
        actions: [
            Action {
                iconName: "settings"
                text: "Settings"
                onTriggered: {

                }
            }
        ]
    }

    ActivityIndicator {
        anchors.centerIn: parent
        running: searchResultsModel.isLoading
    }

    SearchResultsListModel {
        id: searchResultsModel
        query: searchField.text

//        onErrorOccured: console.log("Error")
    }

    flickable: null
    ListView {
        id: resultsList
        clip: true
        anchors.fill: parent

        model: searchResultsModel

        delegate: ListItem.Subtitled {
            text: model.result.name
            subText: Format.formatBytes(model.result.sizeBytes) + " - " + model.result.seeders + " seeders";

            onClicked: {
                root.torrentLinkSelected(model.result.magnetLink)
            }
        }
    }
}
