import QtQuick 2.0
import Ubuntu.Components 1.0
import Ubuntu.Components.Popups 1.0
import Ubuntu.Content 0.1

PopupBase {
    id: root

    property var activeTransfer: null
    property var items: []
    property var contentType

    Connections {
        target: root.activeTransfer
        onStateChanged: {
            console.log("Transfer state changed to " + activeTransfer.state)
        }
    }

    ContentPeerPicker {
        id: peerPicker
        handler: ContentHandler.Destination
        contentType: root.contentType

        onPeerSelected: {
            for (var i = 0; i < items.length; i++) {
                console.log("Sharing item with name: " + items[i].name + ", url: " + items[i].url)
            }

            activeTransfer = peer.request()
            activeTransfer.items = root.items
            activeTransfer.state = ContentTransfer.Charged
            PopupUtils.close(root)
        }

        onCancelPressed: {
            PopupUtils.close(root)
        }
    }
}
